netsnmp_mib_handler_s(3)

NAME
netsnmp_mib_handler_s - the mib handler structure to be registered

SYNOPSIS

#include <agent_handler.h>

  Data Fields
char * handler_name
void * myvoid
for handler's internal use
int(* access_method )(struct netsnmp_mib_handler_s *, struct netsnmp_handler_registration_s *, struct netsnmp_agent_request_info_s *, struct netsnmp_request_info_s *)
netsnmp_mib_handler_s * next
netsnmp_mib_handler_s * prev

Detailed Description

the mib handler structure to be registered

Examples:

delayed_instance.c.

Definition at line 33 of file agent_handler.h.

Field Documentation

  void* netsnmp_mib_handler_s::myvoid

for handler's internal use Definition at line 36 of file agent_handler.h.

Referenced by netsnmp_cache_helper_handler(), netsnmp_find_handler_data_by_name(), netsnmp_get_baby_steps_handler(), netsnmp_get_cache_handler(), netsnmp_get_mode_end_call_handler(), netsnmp_get_multiplexer_handler(), netsnmp_get_row_merge_handler(), netsnmp_get_stash_cache_handler(), netsnmp_get_table_data_handler(), netsnmp_get_table_data_set_handler(), netsnmp_get_table_handler(), netsnmp_get_table_iterator_handler(), netsnmp_handler_dup(), netsnmp_multiplexer_helper_handler(), netsnmp_old_api_helper(), netsnmp_register_mib_table_row(), netsnmp_register_old_api(), netsnmp_row_merge_helper_handler(), netsnmp_table_container_register(), netsnmp_table_data_helper_handler(), netsnmp_table_data_set_helper_handler(), netsnmp_table_iterator_helper_handler(), and table_helper_handler().

Author

Generated automatically by Doxygen for net-snmp from the source code.